Problem when creating PDF with too many columns
2018-03-14 16:21 - Vincent Robert

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Third-party libraries Estimated time: 0.00 hour
Target version:

Resolution: Duplicate Affected version: 3.44
Description

The application does not respond if we try to export issues to PDF with too many columns (more than 60).

How to reproduce this bug:

1. Create many issue custom fields

You can use this command in the console: (1..60).each { |i|
CustomField.new(IssueCustomField.last.attributes.merge!({id:nil,name:"test-#{i}", is_for_all: true})).save }
2. Go to /issues page

3. Choose to display every columns and apply the filter

4. Try to export to PDF

This bug seems to come from the RBPDF Gem. An infinite loop may appear in the "Write" method here:
https://github.com/naitoh/rbpdf/blob/Oeff3fdae5ai7ect111b63e3825b358a6b34c3{56/lib/rbpdf.rb#L 4510
This infinite loop could overload the server and affect website availability.

Related issues:
Is duplicate of Redmine - Defect #23962: Redmine Out of Memory Exception whe... New

History

#1 - 2018-03-15 09:45 - Stephane Evr
This is related to #23962

#2 - 2018-03-15 14:38 - Vincent Robert

Stephane Evr wrote:

This is related to #23962

Yes, that's the same issue. And | have applied your temporary patch on my Redmine applications. Thank you.

#3 - 2018-03-15 14:53 - Marius BALTEANU
- Is duplicate of Defect #23962: Redmine Out of Memory Exception when exporting issues with lots of columns (> 50) to PDF added

#4 - 2018-03-15 14:54 - Marius BALTEANU
- Status changed from New to Closed
- Priority changed from High to Normal

- Resolution set to Duplicate

Vincent Robert wrote:
Stephane Evr wrote:

This is related to #23962

Yes, that's the same issue. And | have applied your temporary patch on my Redmine applications. Thank you.

Thanks for reporting the duplication. I'm closing this one.
